org.apache.poi.hwpf.model

## Class ComplexFileTable

- java.lang.Object
- - org.apache.poi.hwpf.model.ComplexFileTable

- Direct Known Subclasses:
    OldComplexFileTable

      @Internal
      public class ComplexFileTable
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TextPieceTable` | `_tpt`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ComplexFileTable()`
    `` | `ComplexFileTable(byte[] documentStream, byte[] tableStream, int offset, int fcMin)`
    `protected` | `ComplexFileTable(byte[] documentStream, byte[] tableStream, int offset, int fcMin, java.nio.charset.Charset charset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SprmBuffer[]` | `getGrpprls()`
    `TextPieceTable` | `getTextPieceTable()`
    `protected TextPieceTable` | `newTextPieceTable(byte[] documentStream, byte[] tableStream, int offset, int pieceTableSize, int fcMin, java.nio.charset.Charset charset)`
    `void` | `writeTo(java.io.ByteArrayOutputStream wordDocumentStream, java.io.ByteArrayOutputStream tableStream)`
    `void` | `writeTo(HWPFFileSystem sys)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _tpt

          protected TextPieceTable _tpt

  - ### Constructor Detail

    - #### ComplexFileTable

          public ComplexFileTable()

    - #### ComplexFileTable

          protected ComplexFileTable(byte[] documentStream,
                                     byte[] tableStream,
                                     int offset,
                                     int fcMin,
                                     java.nio.charset.Charset charset)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### ComplexFileTable

          public ComplexFileTable(byte[] documentStream,
                                  byte[] tableStream,
                                  int offset,
                                  int fcMin)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getTextPieceTable

          public TextPieceTable getTextPieceTable()

    - #### getGrpprls

          public SprmBuffer[] getGrpprls()

    - #### writeTo

          @Deprecated
          public void writeTo(HWPFFileSystem sys)
                                   throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeTo

          public void writeTo(java.io.ByteArrayOutputStream wordDocumentStream,
                              java.io.ByteArrayOutputStream tableStream)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newTextPieceTable

          protected TextPieceTable newTextPieceTable(byte[] documentStream,
                                                     byte[] tableStream,
                                                     int offset,
                                                     int pieceTableSize,
                                                     int fcMin,
                                                     java.nio.charset.Charset charset)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.